variables:
  STREAM: "upstream"

  # AWS buckets
  S3_BUCKET_NAME: "auto-toolchain-ci-gitlab-workspaces"
  S3_BUCKET_WORKSPACES: "auto-toolchain-ci-gitlab-workspaces"
  S3_BUCKET_STAGING: "auto-product-build-staging"
  S3_BUCKET_RELEASES: "auto-product-build"
  S3_BUCKET_RELEASES_ARCHIVE: "auto-product-build-archive"
  S3_BUCKET_RELEASES_ARCHIVE_STAGING: "auto-product-build-archive-staging"

  # S3 static website
  WEBSERVER_WORKSPACES: "http://auto-toolchain-ci-gitlab-workspaces.s3-website-eu-west-1.amazonaws.com"

  # GitLab repos
  CREATE_YUM_REPO_PROJECT: "redhat/edge/ci-cd/pipe-x/create-yum-repo"
  LOCKFILE_PROJECT: "CentOS/automotive/sample-images"
  OSBUILD_TMT_PROJECT: "redhat/edge/ci-cd/pipe-x/create-osbuild"
  PIPELINES_PROJECT: "redhat/edge/ci-cd/pipe-x/pipelines-as-code"
  SAMPLE_IMAGES_PROJECT: "CentOS/automotive/sample-images"

  LOCKFILE_REPO: "https://gitlab.com/CentOS/automotive/sample-images.git"
  LOCKFILE_REPO_REF: "main"
  OSBUILD_TMT_REPO: "https://gitlab.com/redhat/edge/ci-cd/pipe-x/create-osbuild.git"
  OSBUILD_TMT_REPO_REF: "main"
  PIPELINE_REPO: "https://gitlab.com/redhat/edge/ci-cd/pipe-x/pipelines-as-code.git"
  SAMPLE_IMAGES_REPO: "https://gitlab.com/CentOS/automotive/sample-images.git"
  SAMPLE_IMAGES_REF: "main"
  CUSTOM_IMAGES_REPO: "https://gitlab.com/redhat/edge/ci-cd/pipe-x/custom-images.git"
  CUSTOM_IMAGES_REF: "main"

  # create-yum-repo configs
  LOCKFILE_PATH: "./package_list/cs9-image-manifest.lock.json"
  CREATE_YUM_REPO_TAG: "latest"

  # Build images options
  BUILD_OS_OPTIONS: 'osname=\"centos\" uefi_vendor=\"centos\"'
  OS_PREFIX: "cs"
  OS_VERSION: "9"
  PRODUCT_BUILD_PREFIX: "autosd9"
  # Git options
  SSL_VERIFY: "true"
  # Testing Farm options
  TF_ENDPOINT: "https://api.dev.testing-farm.io/v0.1/requests"
  TF_COMPOSE: "CentOS-Stream-9"
  # TMT options
  TEST_DISTRO_NAME: "CentOS AutoSD 9"

  # Osbuild used at the build jobs in Testing Farm
  OSBUILD_VERSION: ""

  # Lifecycle options
  PRODUCT_BUILD_RETAIN_NUM: 5

  # Product-build self-test configuration
  # Defines files that need to be in the product-build at completion
  # Check aws cli sync command for documentation on how the globs work
  PRODUCT_BUILD_CHECKS: |
    info.txt
    repos/index.html
    repos/cs9/aarch64/os/repodata/*-filelists.sqlite.bz2
    repos/cs9/aarch64/os/repodata/*-filelists.xml.gz
    repos/cs9/aarch64/os/repodata/*-other.sqlite.bz2
    repos/cs9/aarch64/os/repodata/*-other.xml.gz
    repos/cs9/aarch64/os/repodata/*-primary.sqlite.bz2
    repos/cs9/aarch64/os/repodata/*-primary.xml.gz
    repos/cs9/aarch64/os/repodata/repomd.xml
    repos/cs9/x86_64/os/repodata/*-filelists.sqlite.bz2
    repos/cs9/x86_64/os/repodata/*-filelists.xml.gz
    repos/cs9/x86_64/os/repodata/*-other.sqlite.bz2
    repos/cs9/x86_64/os/repodata/*-other.xml.gz
    repos/cs9/x86_64/os/repodata/*-primary.sqlite.bz2
    repos/cs9/x86_64/os/repodata/*-primary.xml.gz
    repos/cs9/x86_64/os/repodata/repomd.xml
    sample-images/*.xz
    sample-images/*.sha256
    non-sample-images/*.xz
    non-sample-images/*.sha256
